> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rubic.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available providers

> This endpoint returns a list of supported providers available for swaps in the Rubic API. Each provider object contains list of supported by provider blockchains and provider name used in the API. Contains separate information for cross-chain providers and on-chain providers



## OpenAPI

````yaml https://api-v2.rubic.exchange/api/routes/swagger-json get /api/info/providers
openapi: 3.0.0
info:
  title: Rubic API
  description: The Rubic API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api-v2.rubic.exchange
    description: Production
security: []
tags: []
paths:
  /api/info/providers:
    get:
      tags:
        - Info
      summary: Get available providers
      description: >-
        This endpoint returns a list of supported providers available for swaps
        in the Rubic API. Each provider object contains list of supported by
        provider blockchains and provider name used in the API. Contains
        separate information for cross-chain providers and on-chain providers
      operationId: InfoController_getProviders
      parameters:
        - name: includeTestnets
          required: false
          in: query
          schema:
            default: false
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProvidersDto'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProvidersDto'
components:
  schemas:
    ProvidersDto:
      type: object
      properties:
        crossChain:
          description: Cross chain providers
          type: array
          items:
            $ref: '#/components/schemas/CrossChainProviderDto'
        onChain:
          description: On chain provides
          type: array
          items:
            $ref: '#/components/schemas/OnChainProviderDto'
      required:
        - crossChain
        - onChain
    CrossChainProviderDto:
      type: object
      properties:
        name:
          type: object
          description: Cross chain provider name
        chains:
          description: Chains supported by the provider
          type: array
          items:
            $ref: '#/components/schemas/ProviderChainDto'
      required:
        - name
        - chains
    OnChainProviderDto:
      type: object
      properties:
        name:
          type: object
          description: On chain provider name
        chains:
          description: Chains supported by the provider
          type: array
          items:
            $ref: '#/components/schemas/ProviderChainDto'
      required:
        - name
        - chains
    ProviderChainDto:
      type: object
      properties:
        name:
          type: object
          description: Chain name
        proxyAvailable:
          type: boolean
          description: Is proxy available for trade
      required:
        - name
        - proxyAvailable

````